/*
 *  lcrash/lib/libklib/include/asm-s390/kl_s390_util.h
 *   S/390 utility functions
 *
 *    Copyright (C) 2000 IBM Deutschland Entwicklung GmbH,
 *                       IBM Corporation
 *    Author(s): Michael Holzheu (holzheu@de.ibm.com),
 *
 *    Bugreports to: <Linux390@de.ibm.com>
 */

void* s390_get_system_utsname(void);
void s390_free_system_utsname(void*);
void* s390_get_cpu_lowcore(int cpu);
void s390_free_cpu_lowcore(void* lc);
int s390_get_nr_of_cpus(void);
void s390_tod_to_timeval(uint64_t todval, struct timeval *xtime);
